Type to search.

Update a skill

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.4 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Update an existing user-created skill. To learn more about Agent Builder skills, refer to the skills documentation.

Required privileges

Privileges agentBuilder:manageSkills

Path parameters

skillId string · min length: 1 · max length: 512 required

The unique identifier of the skill.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

content string

Updated skill instructions content.

description string

Updated description.

name string

Updated name for the skill.

tool_ids string[] · max items: 100

Updated tool IDs from the tool registry.

Response

200

Indicates a successful response

application/json